<?php
/**
 * Content plugin for automatic inserting banner after first news item on frontpage
 *
 * @version 2.0
 * @package frontpagebanner
 * @author smart (smart@joomlaportal.ru)
 * @copyright (C) 2006-2009 joomlaportal.ru
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 **/
// Check to ensure this file is included in Joomla!
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

class plgContentFrontpageBanner extends JPlugin
{

	function plgContentFrontpageBanner( &$subject, $params )
	{
		parent::__construct( $subject, $params );
	}

	function onAfterDisplayContent( &$article, &$params, $limitstart )
	{
	        global $mainframe;

	        $view = JRequest::getCmd('view');

	        $content = '';

		if ($view == 'frontpage') {
			if (!defined('_FRONTPAGEBANNER')) {
				define('_FRONTPAGEBANNER', 1);

				ob_start();
				echo '<div class="frontpagebanner">';
				include($mainframe->getCfg('absolute_path') . DS. 'modules' . DS . 'mod_banners' . DS . 'mod_banners.php');
				echo '</div>';
				$content = ob_get_contents();
				ob_end_clean(); 
			}
		}
		return $content;
	}
}